Subject: Re: [syzbot] [net?] KASAN: slab-use-after-free Read in ptp_release

From: syzbot <[email-masked]>
Date: Sun, 10 Dec 2023 21:37:06 -0800

syzbot suspects this issue was fixed by commit:

commit 1bea2c3e6df8caf45d18384abfb707f47e9ff993
Author: Edward Adam Davis <[email-masked]>
Date:   Tue Nov 7 08:00:41 2023 +0000

    ptp: fix corrupted list in ptp_open

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=145ba76ce80000
start commit:   6bc986ab839c Merge tag 'nfs-for-6.7-1' of git://git.linux-..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=1ffa1cec3b40f3ce
dashboard link: https://syzkaller.appspot.com/bug?extid=8a676a50d4eee2f21539
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17cc14a8e80000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=11ade40f680000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: ptp: fix corrupted list in ptp_open

For information about bisection process see: https://goo.gl/tpsmEJ#bisection